function [X,Y]=plotMultiDFA(XArg,powers)

COLORS='bgrcmyk';

[m,n]=size(powers);

for i=n:-1:1
    [TX,TY]=multiDFAe(XArg,10,300,-1*powers(i),50,1.1);
    disp(-1*powers(i));
    X(n-i+1,:)=TX;
    Y(n-i+1,:)=TY;
%    LEGEND(n-i+1,:)=blanks_w2(['q=' num2str(-1*powers(i))],10);
end
for i=1:n
    [TX,TY]=multiDFAe(XArg,10,300,powers(i),50,1.1);
    disp(powers(i));
    X(n+i,:)=TX;
    Y(n+i,:)=TY;
%    LEGEND(n+i,:)=blanks_w2(['q=' num2str(powers(i))],10);
end

loglog(X(1,:),Y(1,:),[COLORS(1) '*-']);
hold on;
for i=2:n
    loglog(X(i,:),Y(i,:),[COLORS(i) '*-']);
end
for i=n+1:2*n
    loglog(X(i,:),Y(i,:),[COLORS(2*n-i+1) '.-']);
end

%legend(LEGEND);